java.lang.UnsupportedClassVersionError: Bad version n umber in .class file

Coderanch | Marcus Green | 9 years ago
tip
Do you find the tips below useful? Click on the to mark them and say thanks to rafael . Or join the community to write better ones.
  1. 0
    samebug tip
    Try using intelliJ with JDK 8
    via GitHub by lordigon
  2. 0

    Inquisition: SCWCD mock questions

    Coderanch | 9 years ago | Marcus Green
    java.lang.UnsupportedClassVersionError: Bad version n umber in .class file
  3. 0

    How to compile .war for Java 5/Tomcat 5.5 in Ubuntu?

    Stack Overflow | 8 years ago | Jack Ha
    java.lang.UnsupportedClassVersionError: Bad version number in .class file
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Error initializing XFireServlet. - Toolbox for IT Groups

    ittoolbox.com | 2 years ago
    java.lang.UnsupportedClassVersionError: Bad version number in .class file
  6. 0

    HELP ME!!- Starting to use java and problems with that damned jdk-

    javaprogrammingforums.com | 1 year ago
    java.lang.UnsupportedClassVersionError: HelloWorldApp : Unsupported major.minor version 52.0

    14 unregistered visitors
    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. java.lang.UnsupportedClassVersionError

      Bad version n umber in .class file

      at java.lang.ClassLoader.defineClass1()
    2. Java RT
      ClassLoader.defineClass
      1. java.lang.ClassLoader.defineClass1(Native Method)
      2. java.lang.ClassLoader.defineClass(Unknown Source)
      2 frames